Package net.sf.saxon.style

## Class TextValueTemplateContext

- java.lang.Object
- - net.sf.saxon.style.ExpressionContext
  - - net.sf.saxon.style.TextValueTemplateContext

- All Implemented Interfaces:
    `StaticContext`

      public class TextValueTemplateContext
      extends ExpressionContext

  Define the static context for expressions appearing between curly braces in a text value template. The rules for binding local variables are slightly different from the rules for variables appearing within attribute nodes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextValueTemplateContext​(StyleElement parent, TextValueTemplateNode textNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `bindVariable​(StructuredQName qName)` | Bind a variable to an object that can be used to refer to it

    - ### Methods inherited from class net.sf.saxon.style.ExpressionContext

      `getConfiguration, getContainingLocation, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getImportedSchemaNamespaces, getKeyManager, getNamespaceResolver, getOptimizerOptions, getPackageData, getRequiredContextItemType, getStaticBaseURI, getStyleElement, getSystemId, getUnprefixedElementMatchingPolicy, getXPathVersion, isImportedSchema, isInBackwardsCompatibleMode, isSchemaAware, issueWarning, makeEarlyEvaluationContext, makeRetainedStaticContext, resolveTypeAlias`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextValueTemplateContext

          public TextValueTemplateContext​(StyleElement parent,
                                          TextValueTemplateNode textNode)

  - ### Method Detail

    - #### bindVariable

          public Expression bindVariable​(StructuredQName qName)
                                  throws XPathException

      Bind a variable to an object that can be used to refer to it
      Specified by:
        `bindVariable` in interface `StaticContext`
      Overrides:
        `bindVariable` in class `ExpressionContext`
      Parameters:
        `qName` - the name of the variable
      Returns:
        a VariableDeclaration object that can be used to identify it in the Bindery,
      Throws:
        `XPathException` - if the variable has not been declared